> For the complete documentation index, see [llms.txt](https://axiology.gitbook.io/axiology-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://axiology.gitbook.io/axiology-docs/rest-api/ownership-changes.md).

# Ownership Changes

## GET /ownership-changes

> Get a paginated list of ownership changes information in the system

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/ownership-changes":{"get":{"deprecated":true,"description":"Get a paginated list of ownership changes information in the system","operationId":"getOwnershipChanges","parameters":[{"name":"accountAddress","required":false,"in":"query","description":"Filter ownership changes by account address, unique for this gateway","schema":{"format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}","type":"string"}},{"name":"assetId","required":false,"in":"query","description":"Filter ownership changes by asset id, unique for this gateway","schema":{"format":"uuid","type":"string"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/OwnershipChangeDto"}}},"required":["pagination","items"]}}}}},"summary":"","tags":["Ownership Changes"]}}},"components":{"schemas":{"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"OwnershipChangeDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Ownership Change UUID identifier, unique in scope of this node","format":"uuid"},"assetId":{"type":"string","description":"Identifier of an asset, unique for this gateway","format":"uuid"},"amount":{"format":"int64","description":"Amount of assets to transfer ownership of.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"sourceAccountAddress":{"type":"string","description":"Account address who is sending an asset, unique for this gateway","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"destinationAccountAddress":{"type":"string","description":"Account address who is receiving an asset, unique for this gateway","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"status":{"description":"Status of an ownership change","allOf":[{"$ref":"#/components/schemas/OwnershipChangeStatus"}]},"description":{"type":"object","description":"Reason for why the transfer was initiated in the first place"},"message":{"type":"object","description":"Optional message provided when accepting/canceling ownership changes"},"cancelledByAccountAddress":{"type":"string","description":"Account address which cancelled the ownership change","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"expiresAt":{"type":"object","description":"Timestamp until when this ownership can be accepted or cancelled"}},"required":["createdAt","updatedAt","id","assetId","amount","sourceAccountAddress","destinationAccountAddress","status"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"OwnershipChangeStatus":{"type":"string","enum":["created","accepted","cancelled","expired"],"description":"Status of an ownership change"}}}}
```

## POST /ownership-changes

> Initiates an asset ownership change between accounts

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/ownership-changes":{"post":{"deprecated":true,"description":"Initiates an asset ownership change between accounts","operationId":"createOwnershipChange","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOwnershipChangeDto"}}}},"responses":{"201":{"description":"Created ownership change","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OwnershipChangeDto"}}}}},"summary":"","tags":["Ownership Changes"]}}},"components":{"schemas":{"CreateOwnershipChangeDto":{"type":"object","properties":{"assetId":{"type":"string","description":"Asset identifier to be transferred ,unique to this gateway","format":"uuid"},"sourceAccountAddress":{"type":"string","description":"Source account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"destinationAccountAddress":{"type":"string","description":"Destination account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"amount":{"format":"int64","description":"Amount of tokens to transfer ownership of.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"description":{"type":"string","description":"Optional description of why this transfer was initiated"},"expiresAt":{"format":"date-time","type":"string","description":"Timestamp in the future when this transfer proposal will be available"}},"required":["assetId","sourceAccountAddress","destinationAccountAddress","amount"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"OwnershipChangeDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Ownership Change UUID identifier, unique in scope of this node","format":"uuid"},"assetId":{"type":"string","description":"Identifier of an asset, unique for this gateway","format":"uuid"},"amount":{"format":"int64","description":"Amount of assets to transfer ownership of.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"sourceAccountAddress":{"type":"string","description":"Account address who is sending an asset, unique for this gateway","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"destinationAccountAddress":{"type":"string","description":"Account address who is receiving an asset, unique for this gateway","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"status":{"description":"Status of an ownership change","allOf":[{"$ref":"#/components/schemas/OwnershipChangeStatus"}]},"description":{"type":"object","description":"Reason for why the transfer was initiated in the first place"},"message":{"type":"object","description":"Optional message provided when accepting/canceling ownership changes"},"cancelledByAccountAddress":{"type":"string","description":"Account address which cancelled the ownership change","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"expiresAt":{"type":"object","description":"Timestamp until when this ownership can be accepted or cancelled"}},"required":["createdAt","updatedAt","id","assetId","amount","sourceAccountAddress","destinationAccountAddress","status"]},"OwnershipChangeStatus":{"type":"string","enum":["created","accepted","cancelled","expired"],"description":"Status of an ownership change"}}}}
```

## PATCH /ownership-changes/{ownershipChangeId}

> Accept or cancel ownershipChange

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/ownership-changes/{ownershipChangeId}":{"patch":{"deprecated":true,"description":"Accept or cancel ownershipChange","operationId":"updateOwnershipChange","parameters":[{"name":"ownershipChangeId","required":true,"in":"path","description":"Ownership Change UUID identifier, unique in scope of this node","schema":{"format":"uuid","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOwnershipChangeDto"}}}},"responses":{"200":{"description":"Updated ownership change","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OwnershipChangeDto"}}}}},"summary":"","tags":["Ownership Changes"]}}},"components":{"schemas":{"UpdateOwnershipChangeDto":{"type":"object","properties":{"status":{"description":"Status to change ownership change to","allOf":[{"$ref":"#/components/schemas/OwnershipChangeStatus"}]},"accountAddress":{"type":"string","description":"Address of a sender or receiver account, on whose behalf this change action is performed. (Receiver address for accepting)","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"message":{"type":"string","description":"An optional message that will be attached to ownership change on cancellation"}},"required":["status","accountAddress"]},"OwnershipChangeStatus":{"type":"string","enum":["created","accepted","cancelled","expired"],"description":"Status of an ownership change"},"OwnershipChangeDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Ownership Change UUID identifier, unique in scope of this node","format":"uuid"},"assetId":{"type":"string","description":"Identifier of an asset, unique for this gateway","format":"uuid"},"amount":{"format":"int64","description":"Amount of assets to transfer ownership of.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"sourceAccountAddress":{"type":"string","description":"Account address who is sending an asset, unique for this gateway","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"destinationAccountAddress":{"type":"string","description":"Account address who is receiving an asset, unique for this gateway","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"status":{"description":"Status of an ownership change","allOf":[{"$ref":"#/components/schemas/OwnershipChangeStatus"}]},"description":{"type":"object","description":"Reason for why the transfer was initiated in the first place"},"message":{"type":"object","description":"Optional message provided when accepting/canceling ownership changes"},"cancelledByAccountAddress":{"type":"string","description":"Account address which cancelled the ownership change","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"expiresAt":{"type":"object","description":"Timestamp until when this ownership can be accepted or cancelled"}},"required":["createdAt","updatedAt","id","assetId","amount","sourceAccountAddress","destinationAccountAddress","status"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://axiology.gitbook.io/axiology-docs/rest-api/ownership-changes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
